Create a dossier
curl --request POST \
--url https://rest.forestreet.com/v2/collections/{collectionId}/dossier/create \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"query": "<string>",
"agentId": "<string>",
"shouldUpdate": false,
"cacheOnly": false,
"ignoreCache": false
}
'import requests
url = "https://rest.forestreet.com/v2/collections/{collectionId}/dossier/create"
payload = {
"query": "<string>",
"agentId": "<string>",
"shouldUpdate": False,
"cacheOnly": False,
"ignoreCache": False
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
agentId: '<string>',
shouldUpdate: false,
cacheOnly: false,
ignoreCache: false
})
};
fetch('https://rest.forestreet.com/v2/collections/{collectionId}/dossier/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agentId": "<string>",
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"success": false,
"errorCode": "INVALID_INPUT",
"message": "Bad Request - Invalid input parameters"
}{
"success": false,
"errorCode": "FORBIDDEN",
"message": "Forbidden - You do not have permission to create a dossier in this collection"
}{
"success": false,
"errorCode": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error - Failed to create dossier"
}Supplier Dossier
Create a dossier
Create a new dossier in the specified collection using AI to generate supplier information
POST
/
v2
/
collections
/
{collectionId}
/
dossier
/
create
Create a dossier
Authorizations
apiKeyAuthbearerAuthsessionIdQuery
Pass a static API key for every request, provided by your customer support.
Path Parameters
The collection ID to which the new dossier belongs.
Query Parameters
Unique identifier of the team from which a quota should be consumed.
Required range:
x >= 1Body
application/json
The query to create the dossier.
The agent ID for the dossier.
Whether the dossier should be updated if it already exists. Default is false.
Whether to only return cached results without querying the agent. Default is false.
Whether to ignore cached data when creating the dossier and always query the agent. Default is false.
⌘I